/* hcon.h -- header data for hcon.c (heightfield-convert)   jpb 7/15/95 */

#ifdef BIG_FLOAT
#define NUM_FMT 1
#else
#define NUM_FMT 0       /* 0 IEEE Little Endian (80x86, DEC Risc) */
#endif                  /* 1 IEEE Big Endian (SPARC, SGI, Motorola, etc.) */

#define PREC 1          /* storing Matlab file as floats rather than longs */
#define PTYPE float     /* internal representation of float numbers */
#define BYTE unsigned char
#define U unsigned int

#define Boolean int
#define FALSE 0
#define TRUE 1

#define PGM  0          /* PGM ascii type (arbitrary) */
#define TGA  1          /* POV-Ray 2.2 TGA heightfield format 16-bit */
#define PNG  2          /* PNG format (not yet supported) */
#define PG8  3          /* binary PGM format 8-bit */
#define OCT  4          /* Octave ascii format (arbitrary) */
#define MAT  5          /* Matlab Level 1.0 binary format 32bit float */
#define GIF  6          /* CompuServe (tm) GIF format 8-bit */
#define POT  7          /* Fractint, PoV-Ray "continuous potential" 16-bit */

#define MAX_PIXVAL 65536              /* ascii integer output max value */

#define Eh(vv, xq, yq)  vv[((yq) * (xsize+2)) + xq]  /* elmt of hf array */
#define Ehn(vv, xq, yq) vv[((yq+1)*(xsize+2))+(xq+1)] /* hf indexed like ua */
#define El(vv, xq, yq)  vv[((yq) * xsize) + xq]  /* elmt of array */
#define El2(vv, xq, yq) vv[((yq) * xsize2)+ xq]  /* elmt of 2nd array */

			/* Matlab Level 1.0 format data file header */
typedef struct {
	long type;      /* type */
	long mrows;     /* row dimension */
	long ncols;     /* column dimension */
	long imagf;     /* flag indicating imag part */
	long namelen;    /* name length (including NULL) */
} Fmatrix;

void hf_print();                        /* print out hf array to stdout */


